

class Event:
    def __init__( self, startline ):
        self.lines = []
        self.lines.append( startline )

    def __str__( self ):
        event_string = ''
        for line in self.lines:
            event_string = event_string + str( line )
        return event_string

    def AddLine( self, newline ):
        self.lines.append( newline )

    def Process( self, outfile ):
        if len( self.lines ) > 1:
            # Look for two signals in the same counter.
            pulses = [ 0, 0, 0, 0 ]
            for counter in range( 4 ):
                le = 2 * counter + 1
                for line in self.lines:
                    if line.w[le] & 0x1F > 1:
                        pulses[counter] = pulses[counter] + 1
            if pulses[0]>1 or pulses[1]>1 or pulses[2]>1 or pulses[3]>1:
                outfile.write( str(self) )
                                               


class Line:
    def __init__( self, word ):
        self.w = ( int( word[0], 16 ), int( word[1], 16),
                   int( word[2], 16 ), int( word[3], 16 ),
                   int( word[4], 16 ), int( word[5], 16 ),
                   int( word[6], 16 ), int( word[7], 16),
                   int( word[8], 16 ),
              int( word[9], 16 ), float( word[10] ), int( word[11] ),
              word[12], int( word[13] ), int( word[14], 16 ), int( word[15] ) )

    def __str__( self ):
        return '%08X %02X %02X %02X %02X %02X %02X %02X %02X %08X %10.3f %06d %1s %02d %01X %+05d \n' %self.w
        

    def StartEvent( self ):
        return self.w[1] & 0x80
