#!/usr/bin/env python
"""
Script to strip out potential muon decay events from a data file.
The script looks for events with two signals in the same counter.
These events are written to another file.
"""

from crd_utilities import *

#filename = "/home/erin/6-29test6muonlife.txt"
filename = "/home/erin/muonlife6-29.TXT"
outfile = "/home/web/quarknet/crd/data/muonlife.txt"
out = open ( outfile, 'w' )
firstevent = 1

for next in open( filename ).xreadlines():
    word = next.split()
    if len( word ) != 16:     # a data line has 16 words
        continue              # skip and read new line if not
    line = Line ( word )      # transform the character string into numbers
    if line.StartEvent():     # if start of event, process last event
        try:
            event.Process( out )
        except:
            pass
        event = Event( line )
    else:
        event.AddLine( line )

if event: event.Process( out )
print "All done, closing output file."
out.close()
infile.close()
